<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Absensi extends CI_Controller {

	public function __construct()
    {
		
        parent::__construct();
        $this->load->model("UserModel");
        $this->load->model("AbsenModel");
        $this->load->model("AbsensiModel");
        $this->load->model("UmkmModel");
        $this->load->model("KategoriModel");

		if($this->UserModel->isNotLogin()) {
			redirect(site_url('login'));
		} elseif(!($this->UserModel->isAdmin())) {
			redirect(site_url('dashboard'));
		} 
			
		
    }

	public function index()
	{
			if($this->input->get()){
				$get = $this->input->get();
				$data['del_msg']= $get['del_msg'];
				$data['del_pemilik']= $get['pemilik'];
			}

			if($this->AbsenModel->getCountActiveAbsen()>0){
				$data['data_absen'] = $this->AbsenModel->getActiveAbsen();
				if($data['data_absen']->bulan=='1'){
					$bulan = 'Januari';
				} elseif($data['data_absen']->bulan=='2'){
					$bulan = 'Februari';
				} elseif($data['data_absen']->bulan=='3'){
					$bulan = 'Maret';
				} elseif($data['data_absen']->bulan=='4'){
					$bulan = 'April';
				} elseif($data['data_absen']->bulan=='5'){
					$bulan = 'Mei';
				} elseif($data['data_absen']->bulan=='6'){
					$bulan = 'Juni';
				} elseif($data['data_absen']->bulan=='7'){
					$bulan = 'Juli';
				} elseif($data['data_absen']->bulan=='8'){
					$bulan = 'Agustus';
				} elseif($data['data_absen']->bulan=='9'){
					$bulan = 'September';
				} elseif($data['data_absen']->bulan=='10'){
					$bulan = 'Oktober';
				} elseif($data['data_absen']->bulan=='11'){
					$bulan = 'November';
				} elseif($data['data_absen']->bulan=='12'){
					$bulan = 'Desember';
				}
				$data['bulan'] = $bulan;

				
				

				$daftar_absensi = $this->AbsensiModel->getAbsensiByAbsenId($data['data_absen']->id_absen);

				$jml_kategori1 = 0;
				$jml_kategori2 = 0;
				$jml_kategori3 = 0;

				$kategori1 = $this->KategoriModel->getKategoriById(1);
				$kategori2 = $this->KategoriModel->getKategoriById(2);
				$kategori3 = $this->KategoriModel->getKategoriById(3);

				$data['nm_kategori1'] = $kategori1->kategori;
				$data['nm_kategori2'] = $kategori2->kategori;
				$data['nm_kategori3'] = $kategori3->kategori;

				foreach($daftar_absensi as $absensi){
					$umkm = $this->UmkmModel->getUmkmsById($absensi->id_umkm);
					if($umkm->id_kategori==1){
						$jml_kategori1++;
					} elseif($umkm->id_kategori==2){
						$jml_kategori2++;
					} elseif($umkm->id_kategori==3){
						$jml_kategori3++;
					}

				}

				$data['jml_kategori1']= $jml_kategori1;
				$data['jml_kategori2']= $jml_kategori2;
				$data['jml_kategori3']= $jml_kategori3;

				$data['unsigned_absensi'] = $this->AbsensiModel->getUnsignedAbsensiCountByAbsenId($data['data_absen']->id_absen);
				$data['signed_absensi'] = $this->AbsensiModel->getSignedAbsensiCountByAbsenId($data['data_absen']->id_absen);

				$data['prosentase_signed_absensi'] = ($data['signed_absensi']/$data['data_absen']->jumlah_umkm)*100;
				$data['prosentase_unsigned_absensi'] = ($data['unsigned_absensi']/$data['data_absen']->jumlah_umkm)*100;

				$data['active_absen'] = true;
			} else {
				$data['data_absen'] = '';
				$data['active_absen'] = false;
			}
			$data['user_logged'] = $this->session->userdata('user_logged');
			
			$this->load->view('admin/absensi',$data);
		
	}

	
}
